babel と core-js を使って,古いブラウザをサポートする

Posted on 水 27 11月 2019 in 運用 • Tagged with Web, JavaScript, Webpack, Babel, ブログ

Sentry でたまに,古い OS からのアクセスによるエラーレポートが来る.現状,このブログの JS は let / const 普通に使ってるし, for-of なども使っている.なので,一世代前のブラウザなどを使っていると,そこら辺の機能に対応していなくてエラーになる.試しにこの辺を改善してみると,どうなるかのか観測してみたいなと思って,ちょっとサイト設定をいじってみた.そのメモ.

なお,使った環境は以下のもの:

babel 7 …

Continue reading